=== debian/changelog ===
pyenv (2.5.4-1) unstable; urgency=medium

  * Team Upload
  * d/control: Bump Standards-Version to 4.7.2
  * d/gbp.conf: Add a basic configuration
  * New upstream version 2.5.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Apr 2025 17:29:49 +0200

pyenv (2.5.1-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * Initial release. (Closes: #978149)

  [ Dmitry Shachnev ]
  * Improve the man pages.
  * Install the bash-completion file in the right location.
  * Make the package “Architecture: all”.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Feb 2025 21:21:09 -0300
