=== debian/control ===
Source: pyenv
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>, karthek <mail@karthek.com>
Rules-Requires-Root: no
Build-Depends: bash (>= 5.0),
               bats,
               debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-python3,
               git <!nocheck>,
               python3-all
Standards-Version: 4.7.2
Homepage: https://github.com/pyenv/pyenv
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyenv
Vcs-Git: https://salsa.debian.org/python-team/packages/pyenv.git

Package: pyenv
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         build-essential,
         curl,
         expat,
         libauthen-sasl-perl,
         libbz2-dev,
         libcgi-pm-perl,
         liberror-perl,
         libffi-dev,
         libio-socket-ssl-perl,
         liblwp-protocol-https-perl,
         liblzma-dev,
         libmediawiki-api-perl,
         libncurses-dev,
         libreadline-dev,
         libsqlite3-dev,
         libssl-dev,
         libterm-readkey-perl,
         libwww-perl,
         libxml2-dev,
         libxmlsec1-dev,
         llvm,
         make,
         pcre2-utils,
         python3:any,
         tk-dev,
         wget,
         xz-utils,
         zlib1g-dev,
Suggests: git,
          python3-openssl,
          python3-requests,
          python3-tk-dbg,
          libsecret-1-dev
Description: Simple Python version management
 pyenv is a powerful and flexible tool for managing multiple Python versions
 on a single system. It allows users to seamlessly switch between different
 Python versions, making it ideal for developers working on projects with
 varying dependencies.
 .
 Key features of pyenv include:
  - Version switching: Dynamically change the active Python version globally,
     per user, or for specific directories.
  - Version installation: Easily install and manage multiple Python versions,
     including older releases, latest updates, and development builds.
  - Environment isolation: Create isolated Python environments for different
     projects without polluting the global environment.
  - Compatibility: Works alongside system Python installations, ensuring no
     interference with package managers like apt or dnf.
  - Pluggable architecture: Extend functionality with plugins, such as
     pyenv-virtualenv for virtual environments
