=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=pyenv
export PYENV_SHELL=bash
export SHELL=/bin/bash

export CFLAGS=${CFLAGS:-""}
export CPPFLAGS=${CPPFLAGS:-""}
export LDFLAGS=${LDFLAGS:-""}

%:
	dh $@
override_dh_auto_install:
# Set pyenv variables
	export PYENV_ROOT=/home/user/.pyenv
	export PATH=$(PYENV_ROOT)/bin:$(PATH)
	eval "$(pyenv init --path)"
	eval "$(pyenv init -)"
# Create the directory to install the binaries
	mkdir -p debian/pyenv/usr/bin/
	mkdir -p debian/pyenv/usr/share/bash-completion/completions/

execute_after_dh_install:
	find debian/pyenv/usr/share/pyenv/plugins/  \
	-name 'README.md' -delete \
	-o -name '.gitignore' -delete \
	-o -name 'LICENSE' -delete \
	-o -name 'requirements.txt' -delete
	find debian/pyenv/usr/share/pyenv/plugins/python-build/  \
	-type d -empty -exec rmdir {} +
