=== debian/watch ===
version=4
https://github.com/pyenv/pyenv/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
