## pyenv 2.5.5

=== debian/changelog ===
pyenv (2.5.5-2) unstable; urgency=medium

  *Upload to ustable

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 19 Sep 2025 14:53:25 -0300

pyenv (2.5.5-1) experimental; urgency=medium

  * New upstream version 2.5.5
  * debian/control:
     - Added binary with simple components for runtime (Closes: #1103905)
     - Added Breaks/Replaces for pyenv-runtime
     - Updated list of required dependencies
  * debian/copyright:
     - Updated GPL2 license terms
  * debian/patches:
     - 004.fixed-line-break.patch: Removed pyenv.1 file
     - 006.change-shell-to-fix-test.patch: Fixed hunk issue
     - 007.fixed-command-manpage.patch: Fix command  bashrc (Closes: #1102884)
     - 008.added-pyenv-runtime-information.patch: Add information pyenv-runtime
  * debian/pyenv.install:
     - Specified pyenv binary package files
  * debian/pyenv.links:
     - Removed pyenv binary link
  * debian/pyenv.manpages:
     - Removed pyenv manpage
  * debian/pyenv-runtime.instal:
     - Added components to pyenv-runtime binary
  * debian/pyenv-runtime.links:
     - Created pyenv symbolic link
  * debian/pyenv-runtime.manpages:
     - Linked pyenv manpage to pyenv-runtime binary
  * debian/pyenv.sh:
     - Removed unnecessary wrapper
  * debian/rules:
     - Adjustments for correct construction of binaries
     - Fixed variable declaration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 02 May 2025 21:05:39 -0300
