=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,23 @@
 %:
 	dh $@
 override_dh_auto_install:
+# Create the directory to install the binaries
+	mkdir -p debian/pyenv-runtime/usr/bin/
+	mkdir -p debian/pyenv-runtime/usr/share/pyenv/libexec/
+	mkdir -p debian/pyenv/usr/share/pyenv/pyenv.d/
+	mkdir -p debian/pyenv/usr/share/pyenv/libexec/
+
 # Set pyenv variables
-	export PYENV_ROOT=/home/user/.pyenv
-	export PATH=$(PYENV_ROOT)/bin:$(PATH)
-	eval "$(pyenv init --path)"
-	eval "$(pyenv init -)"
-# Create the directory to install the binaries
-	mkdir -p debian/pyenv/usr/bin/
-	mkdir -p debian/pyenv/usr/share/bash-completion/completions/
+	printf '%s\n' \
+		'#!/bin/bash' \
+		'export PYENV_ROOT="/usr/share/pyenv"' \
+		'export PATH="$$PYENV_ROOT/bin:$$PYENV_ROOT/libexec:$$PATH"' \
+		'exec pyenv "$$@"' \
+		> debian/pyenv-runtime/usr/bin/pyenv
+	chmod 755 debian/pyenv-runtime/usr/bin/pyenv
 
 execute_after_dh_install:
+	find debian/pyenv/ -name ".gitignore" -delete
 	find debian/pyenv/usr/share/pyenv/plugins/  \
 	-name 'README.md' -delete \
 	-o -name '.gitignore' -delete \
