=== debian/changelog ===
pyenv (2.6.8-1) unstable; urgency=medium

  * New upstream version 2.6.8
  * debian/clean: Added build artifacts
  * debian/patches:
     - 001.use-local-bats-repository.patch: Fixed in the new version
     - 002.skip-tests-with-test-directory-error.patch: Added skipped tests
     - 003.skip-tests-with-plugin-directory-error.patch: Added skipped tests
     - 005.fixed-error-sintaxe-bash.patch: Tweaks package detection and build
     - 004.fixed-line-break.patch: Fixed in the new version
     - 007.fixed-command-manpage.patch: update pyenv .bashrc(Closes: #1102884)
     - 008.added-pyenv-runtime-information.patch: Updated patch
     - 009.disable-docker-tests.patch: Skipping docker test run
  * debian/rules: Adjustments for running non-docker tests
  * debian/watch: Bumped version to 5


 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 23 Sep 2025 21:11:20 -0300
