=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>, karthek <mail@karthek.com>
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
+           karthek <mail@karthek.com>
 Rules-Requires-Root: no
-Build-Depends: bash (>= 5.0),
-               bats,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
                dh-sequence-python3,
+               bash (>= 5.0),
+               bats,
                git <!nocheck>,
                python3-all
 Standards-Version: 4.7.2
@@ -16,43 +17,50 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyenv
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyenv.git
 
+Package: pyenv-runtime
+Breaks: pyenv (<< ${binary:Version})
+Replaces: pyenv (<< ${binary:Version})
+Architecture: all
+Depends: bash (>= 5.0),
+         ${misc:Depends},
+Description: Simple Python version management (runtime components)
+ Pyenv lets you easily switch between multiple versions of Python.
+ pyenv-runtime allows minimal execution of pyenv in shared environments
+ (e.g. HPC clusters). pyenv-runtime only allows execution of pyenv shims
+ on worker hosts. While the full pyenv package (with dependencies) is
+ installed only on the management host.
+ .
+ Ideal for setups where /home is shared via NFS and users need consistent
+ Python version selection across nodes. The purpose of this split is to
+ allow pyev-runtime to be used for shared environments (HPC/NFS), running
+ only to run shims. While full pyenv (with install/local) for management
+ on the master node.
+
 Package: pyenv
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends},
+         ${shlibs:Depends},
+         pyenv-runtime (= ${binary:Version}),
          build-essential,
          curl,
-         expat,
-         libauthen-sasl-perl,
          libbz2-dev,
-         libcgi-pm-perl,
-         liberror-perl,
          libffi-dev,
-         libio-socket-ssl-perl,
-         liblwp-protocol-https-perl,
          liblzma-dev,
-         libmediawiki-api-perl,
          libncurses-dev,
          libreadline-dev,
          libsqlite3-dev,
          libssl-dev,
-         libterm-readkey-perl,
-         libwww-perl,
          libxml2-dev,
          libxmlsec1-dev,
-         llvm,
          make,
-         pcre2-utils,
          python3:any,
-         tk-dev,
          wget,
          xz-utils,
          zlib1g-dev,
-Suggests: git,
-          python3-openssl,
-          python3-requests,
-          python3-tk-dbg,
-          libsecret-1-dev
+Recommends: git,
+            llvm,
+            tk-dev
+Suggests: libsecret-1-dev,
 Description: Simple Python version management
  pyenv is a powerful and flexible tool for managing multiple Python versions
  on a single system. It allows users to seamlessly switch between different
