=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 export CFLAGS=${CFLAGS:-""}
 export CPPFLAGS=${CPPFLAGS:-""}
 export LDFLAGS=${LDFLAGS:-""}
+
+export BATS_SKIP_VERSION_TESTS=1
+export BATS_BIN=/usr/bin/bats
 
 %:
 	dh $@
@@ -26,6 +29,9 @@
 		> debian/pyenv-runtime/usr/bin/pyenv
 	chmod 755 debian/pyenv-runtime/usr/bin/pyenv
 
+override_dh_auto_build:
+	$(MAKE) PYENV_SKIP_DOCKER=1
+
 execute_after_dh_install:
 	find debian/pyenv/ -name ".gitignore" -delete
 	find debian/pyenv/usr/share/pyenv/plugins/  \
